MyGUI: MyGUI::SubSkinStateInfo Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::SubSkinStateInfo Class Reference

`#include <MyGUI_CommonStateInfo.h>`

Inheritance diagram for MyGUI::SubSkinStateInfo:
[legend]

## Public Types
typedef RTTIBase | Base
typedef SubSkinStateInfo | RTTIBase
Public Types inherited from MyGUI::IStateInfo
typedef RTTIBase | Base
typedef IStateInfo | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type >
bool | isType () const
const FloatRect & | getRect () const
Public Member Functions inherited from MyGUI::IStateInfo
template<typename Type >
bool | isType () const
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()=default
virtual | ~IObject ()=default

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IStateInfo
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Detailed Description

Definition at line 19 of file MyGUI_CommonStateInfo.h.

## Member Typedef Documentation

## ◆ Base

RTTIBase MyGUI::SubSkinStateInfo::Base

Definition at line 22 of file MyGUI_CommonStateInfo.h.

## ◆ RTTIBase

SubSkinStateInfo MyGUI::SubSkinStateInfo::RTTIBase

Definition at line 22 of file MyGUI_CommonStateInfo.h.

## Member Function Documentation

## ◆ getClassTypeName()

static const std::string & MyGUI::SubSkinStateInfo::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 22 of file MyGUI_CommonStateInfo.h.

## ◆ getRect()

const FloatRect & MyGUI::SubSkinStateInfo::getRect | ( |  | ) | const
| inline

Definition at line 25 of file MyGUI_CommonStateInfo.h.

## ◆ getTypeName()

virtual const std::string & MyGUI::SubSkinStateInfo::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IStateInfo.

Definition at line 22 of file MyGUI_CommonStateInfo.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::SubSkinStateInfo::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 22 of file MyGUI_CommonStateInfo.h.

## ◆ isType() [2/2]

virtual bool MyGUI::SubSkinStateInfo::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IStateInfo.

Definition at line 22 of file MyGUI_CommonStateInfo.h.

The documentation for this class was generated from the following file:

- MyGUI_CommonStateInfo.h